std::flat_map::swap(3)

NAME
std::flat_map::swap - std::flat_map::swap

Synopsis
   void swap( flat_map& other ) noexcept; (since C++23)
   Exchanges the contents of the container adaptor with those of other. Effectively
   calls
 ranges::swap(compare, other.compare);
 ranges::swap(c.keys, other.c.keys);
 ranges::swap(c.values, other.c.values);

Parameters
   other - container adaptor to exchange the contents with

Return value
   (none)

Exceptions
   (none)

Complexity
   Same as underlying container (typically constant).

Example
    This section is incomplete
    Reason: no example

See also
   std::swap(std::flat_map) specializes the std::swap algorithm
   (C++23) (function template)

Category:
     * Todo no example